﻿<div class="container-fluid  mt-md-2">
    <div class="row  m-1">

        <div class="col-1 p-0">
            <label class="col-form-label">Поиск по:</label>
        </div>
        <div class="col-3 ">
            <select form="pageform" name="options.searchpropertyname"
                    class="form-control">
                @foreach (var s in ViewBag.searches as Dictionary<string, string>)
                {
                    <option value="@s.Key"
                            selected="@(Model.Options.SearchPropertyName == s.Key)">
                        @(s.Value)
                    </option>
                }
            </select>
        </div>
        <div class="col">
            <input form="pageform" class="form-control"
                   name="options.searchterm"
                   value="@Model.Options.SearchTerm" />
        </div>
        <div class="col-1  text-left">
            <button form="pageform" class="btn btn-secondary" type="submit">
                Искать
            </button>
        </div>
        <div class="col"></div>
    </div>
    <div class="row  m-1">

        <div class="col-1 p-0">
            <label class="col-form-label">Сортировка по:</label>
        </div>
        <div class="col-3">
            <select form="pageform" name="options.OrderPropertyName"
                    class="form-control">
                @foreach (var s in ViewBag.sorts as Dictionary<string, string>)
                {
                    <option value="@s.Key"
                            selected="@(Model.Options.OrderPropertyName == s.Key)">
                        @(s.Value)
                    </option>
                }
            </select>
        </div>


        <div class="col">
            <div class="col form-check form-check-inline">
                <div class="custom-control custom-switch">
                    <input form="pageform" type="checkbox" name="Options.DescendingOrder"
                           id="Options.DescendingOrder"
                           class="custom-control-input" value="true"
                           checked="@Model.Options.DescendingOrder" />
                    <label for="Options.DescendingOrder" class="custom-control-label">По убыванию</label>
                </div>
            </div>
        </div>

            <div class="col-1  text-right">
                <button form="pageform" class="btn btn-secondary" type="submit">
                    Сортировать
                </button>
            </div>
            <div class="col"></div>
        </div>
    </div>
